JavaScript is required to use Bungie.net

Companion App

What needs work in the Companion App?

7/26/2014 1:10:38 AM
1
0
Evan

Companion App

When looking at items to buy at the tower (gunsmith, vanguard) via the companion app, it needs to show what level is required to purchase it.

Cancel Edit Create Fireteam Post Play nice. Take a minute to review our Code of Conduct before submitting your post.

preload icon
preload icon
preload icon
You are not allowed to view this content.